//
//  KBLinedTextView.h
//  -----------------
//
//  Keith Blount 2005
//
//	A text view that draws lines between the text lines, to look like note paper.
//	Can also have a background image. If drawsLinesAndImage is YES, it draws both, otherwise
//	it only draws the image if there is one; if there isn't one, it draws the lines regardless.

#import <Cocoa/Cocoa.h>


@interface KBLinedTextView : NSTextView
{
	NSColor *lineColor;
	NSImage *image;
	BOOL drawsLinesAndImage;
}
- (void)setLineColor:(NSColor *)color;
- (NSColor *)lineColor;
- (void)setImage:(NSImage *)newImage;
- (NSImage *)image;
- (void)setDrawsLinesAndImage:(BOOL)flag;
- (BOOL)drawsLinesAndImage;
@end
